package log

import (
	"io"
)

type StringWriter = io.StringWriter

type Printer interface {
	Println(f string, v ...any)
}

type Prefix interface {
	Printer
	Prefix(prefix string, f string, v ...any)
}

type Logger interface {
	Error(f string, v ...any)
	Warn(f string, v ...any)
	Info(f string, v ...any)
	Debug(f string, v ...any)
	CallDepthPlus()
	CallDepthMinus()
}
